DU11LS(3)

SYNOPSIS
SUBROUTINE DU11LS (A, MDA, M, N, UB, DB, MODE, NP, KRANK, KSURE, + H, W, EB, IC, IR)

NAME
du11ls - Subsidiary to DLLSIA

LIBRARY
SLATEC

TYPE
DOUBLE PRECISION (U11LS-S, DU11LS-D)

AUTHOR
(UNKNOWN)

DESCRIPTION
**** Double Precision version of U11LS **** This routine performs a QR factorization of A using Householder transformations. Row and column pivots are chosen to reduce the growth of round-off and to help detect possible rank deficiency.

SEE ALSO
DLLSIA

ROUTINES CALLED
DAXPY, DDOT, DNRM2, DSCAL, DSWAP, IDAMAX, ISWAP, XERMSG

REVISION HISTORY (YYMMDD)
810801 DATE WRITTEN
890531 Changed all specific intrinsics to generic. (WRB)
890831 Modified array declarations. (WRB)
891009 Removed unreferenced variable. (WRB)
891214 Prologue converted to Version 4.0 format. (BAB)
900315 CALLs to XERROR changed to CALLs to XERMSG. (THJ)
900328 Added TYPE section. (WRB)